COMM(1)

NOM
comm - Comparer ligne à ligne deux fichiers triés

SYNOPSIS
comm [OPTION] ... FICHIER1 FICHIER2

DESCRIPTION

Comparer les fichiers triés FICHIER1 et FICHIER2 ligne par ligne.

Quand FICHIER1 ou FICHIER2 (pas les deux en même temps) vaut -, lire l'entrée standard.

Sans option, la sortie se fait sur 3 colonnes. La première colonne contient les lignes présentes uniquement dans le FICHIER1, la seconde contient les lignes présentes uniquement dans le FICHIER2 et la troisième contient les lignes communes aux deux fichiers.

-1  supprimer la première colonne (les lignes présentes uniquement dans le FICHIER1)

-2  supprimer la deuxième colonne (les lignes présentes uniquement dans le FICHIER2)

-3  supprimer la troisième colonne (les lignes qui apparaissent dans les deux fichiers)

--check-order
    vérifier que l'entrée est correctement triée, même si toutes les lignes en entrée peuvent être appairées

--nocheck-order
    ne pas vérifier que l'entrée est bien triée

--output-delimiter=STR
    séparer les colonnes avec CHAÎNE

--total
    afficher un résumé

-z, --zero-terminated
    le délimiteur de lignes est l’octet NULL, pas le changement de ligne

--help
    afficher l'aide-mémoire et quitter

--version
    afficher les informations de version et quitter

Les comparaisons respectent les règles indiquées par « LC_COLLATE ».

EXEMPLES

comm -12 fichier1 fichier2
    n'afficher que les lignes présentes à la fois dans fichier1 et fichier2.

comm -3 fichier1 fichier2
    afficher les lignes se trouvant dans fichier1 et pas dans fichier2 et inversement.

AUTEUR
Écrit par Richard M. Stallman et David MacKenzie.

SIGNALER DES BOGUES
Signaler toute erreur à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <https://www.gnu.org/gethelp/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2026 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
join(1), uniq(1)

Documentation complète : <https://www.gnu.org/software/coreutils/comm>
aussi disponible localement à l’aide de la commande : info '(coreutils) comm invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Sylvain Archenault <sylvain.archenault@laposte.net>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.